All Apps and Add-ons

Splunk Mobile compatibility with python 3

ips_mandar
Builder

Hi, I am using Splunk version 8.0.1 with python version-3 and now I want to use splunk mobile but Splunk Cloud Gateway is not compatible with python 3 ..So is there any way using which I can make splunk (with python3) to work with splunk mobile?
or any idea when python version 3 compatible version will be released?

Thanks,

0 Karma
1 Solution

nicolen_splunk
Splunk Employee
Splunk Employee

Hi,

Our team is currently working on making Splunk Cloud Gateway compatible with Python 3.

I updated the documentation to be more clear about Python and Splunk support. See the Splunk Version prerequisite requirement: https://docs.splunk.com/Documentation/Gateway/1.9.0/Installation/Installation#Prerequisites

Splunk version 8.0.1 has both Python 2.7 and Python 3 interpreters, so Splunk Cloud Gateway should be compatible with Splunk version 8.0.1.

View solution in original post

nicolen_splunk
Splunk Employee
Splunk Employee

Hi,

Our team is currently working on making Splunk Cloud Gateway compatible with Python 3.

I updated the documentation to be more clear about Python and Splunk support. See the Splunk Version prerequisite requirement: https://docs.splunk.com/Documentation/Gateway/1.9.0/Installation/Installation#Prerequisites

Splunk version 8.0.1 has both Python 2.7 and Python 3 interpreters, so Splunk Cloud Gateway should be compatible with Splunk version 8.0.1.

View solution in original post

ips_mandar
Builder

Thanks @nicolen_splunk
I am using splunk 8.0.1 with python3 and hence for me it is not compatible and I can't change my python version since i am using db connect addon with python3.
so I am waiting for python3 compatible version.
thanks again.

0 Karma
Did you miss .conf21 Virtual?

Good news! The event's keynotes and many of its breakout sessions are now available online, and still totally FREE!